com.google.gwt.user.datepicker.client

## Class DefaultCalendarView.CellGrid

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Panel
      - - com.google.gwt.user.client.ui.HTMLTable
        - - com.google.gwt.user.client.ui.Grid
          - - com.google.gwt.user.datepicker.client.CellGridImpl<java.util.Date>
            - - com.google.gwt.user.datepicker.client.DefaultCalendarView.CellGrid

All Implemented Interfaces:
  HasAllDragAndDropHandlers, HasClickHandlers, HasDoubleClickHandlers, HasDragEndHandlers, HasDragEnterHandlers, HasDragHandlers, HasDragLeaveHandlers, HasDragOverHandlers, HasDragStartHandlers, HasDropHandlers, HasAttachHandlers, HasHandlers, EventListener, HasVisibility, HasWidgets, HasWidgets.ForIsWidget, IsWidget, SourcesTableEvents, java.lang.Iterable<Widget>

Enclosing class:
  DefaultCalendarView

    class DefaultCalendarView.CellGrid
    extends CellGridImpl<java.util.Date>

Cell grid.

### Nested Class Summary

Nested Classes
`(package private) class` `DefaultCalendarView.CellGrid.DateCell` A cell representing a date.

### Nested classes/interfaces inherited from class com.google.gwt.user.datepicker.client.CellGridImpl

`CellGridImpl.Cell`

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.HTMLTable

`HTMLTable.CellFormatter, HTMLTable.ColumnFormatter, HTMLTable.RowFormatter`

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets

`HasWidgets.ForIsWidget`

### Field Summary

### Fields inherited from class com.google.gwt.user.client.ui.Grid

`numColumns, numRows`

### Fields inherited from class com.google.gwt.user.client.ui.UIObject

`DEBUG_ID_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`CellGrid()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `onSelected(CellGridImpl.Cell lastSelected, CellGridImpl.Cell cell)`

### Methods inherited from class com.google.gwt.user.datepicker.client.CellGridImpl

`getCell, getCell, getCell, getCells, getHighlightedCell, getNumCells, getSelectedCell, getSelectedValue, getValue, onBrowserEvent, onUnload, setHighlighted, setSelected`

### Methods inherited from class com.google.gwt.user.client.ui.Grid

`clearCell, createCell, getCellCount, getColumnCount, getRowCount, insertRow, prepareCell, prepareColumn, prepareRow, removeRow, resize, resizeColumns, resizeRows`

### Methods inherited from class com.google.gwt.user.client.ui.HTMLTable

`addClickHandler, addDoubleClickHandler, addDragEndHandler, addDragEnterHandler, addDragHandler, addDragLeaveHandler, addDragOverHandler, addDragStartHandler, addDropHandler, addTableListener, checkCellBounds, checkRowBounds, clear, clear, getBodyElement, getCellForEvent, getCellFormatter, getCellPadding, getCellSpacing, getColumnFormatter, getDOMCellCount, getDOMCellCount, getDOMCellCount, getDOMRowCount, getDOMRowCount, getDOMRowCount, getEventTargetCell, getHTML, getRowFormatter, getText, getWidget, insertCell, insertCells, internalClearCell, internalClearCell, isCellPresent, iterator, onEnsureDebugId, remove, removeCell, removeTableListener, setBorderWidth, setCellFormatter, setCellPadding, setCellSpacing, setColumnFormatter, setHTML, setHTML, setRowFormatter, setText, setWidget, setWidget`

### Methods inherited from class com.google.gwt.user.client.ui.Panel

`add, add, adopt, doAttachChildren, doDetachChildren, orphan, remove`

### Methods inherited from class com.google.gwt.user.client.ui.Widget

`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onDetach, onLoad, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

### Methods inherited from class com.google.gwt.user.client.ui.UIObject

`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### CellGrid

    CellGrid()

### Method Detail

#### onSelected

    protected void onSelected(CellGridImpl.Cell lastSelected,
                              CellGridImpl.Cell cell)

Specified by:
  `onSelected` in class `CellGridImpl<java.util.Date>`